org.baraza.server.ssh

## Class BUserInfo

- java.lang.Object
- - org.baraza.server.ssh.BUserInfo

- All Implemented Interfaces:
    com.jcraft.jsch.UserInfo

      public class BUserInfo
      extends Object
      implements com.jcraft.jsch.UserInfo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BUserInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPassphrase()`
    `String` | `getPassword()`
    `boolean` | `promptPassphrase(String message)`
    `boolean` | `promptPassword(String message)`
    `boolean` | `promptYesNo(String str)`
    `void` | `setPassword(String passwd)`
    `void` | `showMessage(String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BUserInfo

          public BUserInfo()

  - ### Method Detail

    - #### getPassword

          public String getPassword()

      Specified by:
        `getPassword` in interface `com.jcraft.jsch.UserInfo`

    - #### promptYesNo

          public boolean promptYesNo(String str)

      Specified by:
        `promptYesNo` in interface `com.jcraft.jsch.UserInfo`

    - #### getPassphrase

          public String getPassphrase()

      Specified by:
        `getPassphrase` in interface `com.jcraft.jsch.UserInfo`

    - #### promptPassphrase

          public boolean promptPassphrase(String message)

      Specified by:
        `promptPassphrase` in interface `com.jcraft.jsch.UserInfo`

    - #### promptPassword

          public boolean promptPassword(String message)

      Specified by:
        `promptPassword` in interface `com.jcraft.jsch.UserInfo`

    - #### showMessage

          public void showMessage(String message)

      Specified by:
        `showMessage` in interface `com.jcraft.jsch.UserInfo`

    - #### setPassword

          public void setPassword(String passwd)

Copyright © 2016 openBaraza. All Rights Reserved.